<script type="text/javascript">

<?php
//
// JS function to create html representation of property data 
//
?>
function placesterListLone_createRowHtml(row)
{
    var null_image = "<?php echo get_bloginfo('template_url') ?>" + '/backbone/images/null/property-73-37.png';
    if (row.images.length > 0) {
        var images_array = ('' + row.images).split(',');
        var image = '';

        if (images_array.length > 0 && images_array[0].length > 0)
        {
            image = '<img src="' + images_array[0] + '" width=100 />';
        }        
    } else {
        var image = '<img src="' + null_image + '" width=100 />';
    };

    
    s = '  <li>' +
        '  <section class="single-item">' +
        '  <section class="list-thumb-size">' +
        '  <div class="thumbs"><a href="' + row.url + '" >' +
            image + 
        '  </a></div>' +
        '  <div class="thumbs-shadow2"></div>' +
        '  </section>' +
        '  <section class="list-thumb-txt">' +
        '  <a href="'+ row.url +'" class="feat-title">' + row.location.address + ' ' + row.location.city + ' ' + row.location.state + '</a>' +
        '  <section class="list-thumb-details">' +
        '  <ul class="item-details">' +
        '  <li class="item-desc1">Bedrooms</li>' +
        '  <li class="item-desc2">:</li>' +
        '  <li class="item-desc3">' + row.bedrooms + '</li>' +
        '  <li class="item-desc1">Available</li>' +
        '  <li class="item-desc2">:</li>' +
        '  <li class="item-desc4">'+row.available_on+'</li>' +
        '  <li class="item-desc1">Bathrooms</li>' +
        '  <li class="item-desc2">:</li>' +
        '  <li class="item-desc3">' + row.bathrooms + '</li>' +
        '  <li class="item-desc1">Price</li>' +
        '  <li class="item-desc2">:</li>' +
        '  <li class="item-desc4">' + row.price + '</li>' +
        '  </ul>' +
        '  <a href="' + row.url + '" class="seemore-btn-sml">See More Details</a>' +
        '  <div class="clr"></div>' +
        '  </section>' +
        '  </section>' +
        '  <div class="clr"></div>' +
        '  </section>' +
        '  <div class="clr"></div>' +
        '  </li>';

    return s;
}


$('#sort_list').change(function()
{
    var v = $('#sort_list').val();
    a = v.split(' ');
    placesterListLone_setSorting(a[0], a[1]);
});
function custom_empty_listings_loader (dom_object) {
    var empty_property_search = '<div><h5>No results</h5><p>Sorry, no listings match that search. Maybe try something a bit broader? Or just give us a call and we\'ll personally help you find the right place.</p></div>'
    dom_object.html(empty_property_search);
}
</script>
<?php

placester_listings_list(
    array
    (
        'table_type' => 'html',
        'sort_by' => 'bathrooms',
        'js_row_renderer' => 'placesterListLone_createRowHtml',
        'loading' =>
            array
            (
                'render_in_dom_element' => 'my_loader_div'
            ),
        'pager' =>
            array
            (
                'render_in_dom_element' => 'pagination_loads_here',
                'rows_per_page' => 5,
                'css_current_button' => 'prev-btn-passive',
                'css_not_current_button' => 'next-btn-active',
                'first_page' => array('visible' => false, 'label' => 'First'),
                'previous_page' => array('visible' => true, 'label' => 'Prev'),
                'numeric_links' => 
                    array
                    (
                        'visible' => false, 
                        'max_count' => 10,
                        'more_label' => '..more..',
                        'css_outer' => 'pager_numberic_block'
                    ),
                'next_page' => array(
                    'visible' => true,
                    'label' => 'Next',
                    ),
                'last_page' => 
                    array
                    (
                        'visible' => false,
                        'label' => 'Last'
                    )
            ),
        'attributes' =>
            array
            (
                'bathrooms',
                'price',
                'images',
                'description',
                'url',
                'location.city',
                'location.state',
                'location.address',
                'location.zip',
                'bedrooms',
                'id',
                'available_on'
            )
    ));
