<?php 
/**
 *
 *  Hooks for the various js files needed
 *  to make the theme work properly
 *  
 *  Enjoy!
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */

/*
 * Remove default WP behaviors
 */
if (!is_admin()) {
    wp_deregister_script('jquery');
}

wp_deregister_script( 'l10n' );
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'parent_post_rel_link');
remove_action('wp_head', 'start_post_rel_link');
remove_action('wp_head', 'adjacent_posts_rel_link');
remove_action('wp_head', 'rsd_link');


/*
 * Maintain order of operations for JavaScript embeddings
 */
function embed_jQuery()
{
    echo '<script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>';
}
add_action('wp_head', 'embed_jQuery', 20);

function embed_qTip()
{
    echo '<script src="'. get_stylesheet_directory_uri().'/js/jquery.qtip-1.0.0-rc3.min.js"></script>';
}
function embed_jQuery_qTip_infowindow()
{
    echo '<script src="'. get_stylesheet_directory_uri().'/js/jquery.qTip.infowindow.js"></script>';
}