<?php
class placester_widget_listing_map extends WP_Widget {
	function placester_widget_listing_map() {
		$options = array(
			'classname' => 'placester_widget_listing_map',
			'description' => 'Does not work on the search page',
			);
		$this->WP_Widget( 'placester_widget_listing_map', 'Placester | Sidebar - Listings map', $options );
	}
	
	function form($instance) {
		$defaults = array( 'title' => 'Listings Map' );
		$instance = wp_parse_args( (array)$instance, $defaults );
		$title = $instance['title'];
?>
<p>Title: <input class='widefat' name='<?php echo $this->get_field_name( 'title' ); ?>' type='text' value='<?php echo esc_attr( $title ); ?>' /></p>
<?php
	}
    //save the widget settings
    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags( $new_instance['title'] );
        return $instance;
    }
    //display the widget
    function widget( $args, $instance ) {
        extract( $args );
        $title = apply_filters( 'widget_title', $instance['title'] );
?>
        <section class="side-ctnr">
        <h3><?php echo $title; ?></h3>
        <section class="common-side-cont"><?php display_map(); ?></section>
        <div class="separator"></div>
        </section>
<?php 
    }
}
