<?php

if (placester_warn_on_api_key())
    return;

?>
my pager: 
<div id="my_pager_div" style="height: 50px"></div>

my loader: 
<div style="height: 30px">
  <div id="my_loader_div" style="display: none">... loading ...</div>
</div>

Sort by: 
<select id="sort_list">
  <option value="bathrooms asc">Bathrooms</option>
  <option value="price asc">Price</option>
</select>
<br />

<script>

<?php
//
// JS function to create html representation of property data 
//
?>
function placesterListLone_createRowHtml(row)
{
    var images_array = ('' + row.images).split(',');
    var image = '';

    if (images_array.length > 0 && images_array[0].length > 0)
    {
        image = '<img src="' + images_array[0] + '" width=100 />';
    }

    s = '<div style="border: 1px solid gray; margin-bottom: 5px">' +
        '  <div>' + image + '</div>' +
        '  <a href="' + row.url + '">link</a>' +
        '  <div style="font-weigth: bold">bathrooms: ' + row.bathrooms + '</div>' +
        '  <div style="color: red">price: ' + row.price + '</div>' +
        '  <div>address: ' + row.location.address + '</div>' +
        '  <div>' + row.location.city + ', ' + row['zip'] + '</div>' +
        '  <div>state: ' + row.location.state + '</div>' +
        '  <div>bedrooms: ' + row.bedrooms + '</div>' +
        '  <div>description: ' + row.description + '</div>' +
        '</div>';

    return s;
}



$('#sort_list').change(function()
{
    var v = $('#sort_list').val();
    a = v.split(' ');
    placesterListLone_setSorting(a[0], a[1]);
});

</script>
<?php

placester_listings_list(
    array
    (
        'table_type' => 'html',
        'sort_by' => 'bathrooms',
        'js_row_renderer' => 'placesterListLone_createRowHtml',
        'loading' =>
            array
            (
                'render_in_dom_element' => 'my_loader_div'
            ),
        'pager' =>
            array
            (
                'render_in_dom_element' => 'my_pager_div',
                'rows_per_page' => 10,
                'css_current_button' => 'pager_item_current',
                'css_not_current_button' => 'pager_item_not_current',

                'first_page' => array('visible' => true),
                'previous_page' => array('visible' => true),
                'numeric_links' => 
                    array
                    (
                        'visible' => true, 
                        'max_count' => 10,
                        'more_label' => '..more..',
                        'css_outer' => 'pager_numberic_block'
                    ),
                'next_page' => array('visible' => true),
                'last_page' => 
                    array
                    (
                        'visible' => true,
                        'label' => 'go last'
                    )
            ),
        'attributes' =>
            array
            (
                'bathrooms',
                'price',
                'images',
                'description',
                'url',
                'location.city',
                'location.state',
                'location.address',
                'location.zip',
                'bedrooms',
                'id'
            )
    ));
